Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000523Core InformRelationspublic2011-01-29 08:552014-05-07 07:33
ReporterPhonatacid 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version6L02 
Summary0000523: Accessing a value through a relation when the kind of this value is declared before the relation causes a programming error
DescriptionLet B be a value of kind K which is related to A by the R relation.
If the declaration of K occurs before the declaration of R, then
     accessing B by A through R leads to a programming error.
Minimal Source Text To Reproduce
"A bug" by Phonatacid

A pronoun is a kind of person.
A personal pronoun is a kind of pronoun.

A verbal person is a kind of value.

The first singular person is a verbal person.[BUG]

Pronominal Personification relates various personal pronouns to one verbal person.
The verb to pronominally personify (it pronominally personifies, they pronominally personify, it pronominally 
personified, it is pronominally personified, it is pronominally personifying) implies the Pronominal 
Personification relation.

je is a personal pronoun.
je pronominally personifies the first singular person.

[The first singular person is a verbal person.][WORKS]

When play begins:
	if je pronominally personifies a verbal person:
		showme the verbal person to which je relates by the Pronominal Personification relation;
		
There is a room.
		
Additional Information"verbal person to which je relates by the Pronominal Personification relation" = verbal person:
[** Programming error: Class (object number 1) has no property p56_pronominal_personificati to read **]
first singular person
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships
related to 0000539closedgraham Problem messages states that value cannot have properties, when index says otherwise. 

-  Notes
(0000980)
Phonatacid (reporter)
2011-01-29 09:00

edit : my description is slightly wrong :

Let B be a value of kind K which is related to A by the R relation.
If the declaration of B occurs before the declaration of R, then
     accessing B by A through R leads to a programming error.
(0000984)
EmacsUser (manager)
2011-02-01 15:56

Confirmed. A reduced test case:

- - - -
There is a room.
A U is a kind of value.
X is a U. [Uncommented, triggers bug.]
R relates various things to one U.
[Y is a U.] [Has no effect on bug.]

When play begins:
    showme whether or not the player relates to a U by the R relation.
- - - -

Inform seems to assume that U is a quantitative kind of value (option a in WI 4.5) until it encounters the declaration of X, at which point it revises its belief and takes U to be qualitative (option b). But it also seems not revisit its implementation choice for R, so the bug cannot be triggered when the first instance of kind U comes after the declaration of R.
(0002565)
graham (administrator)
2014-03-16 04:40

Fixed.

- Issue History
Date Modified Username Field Change
2011-01-29 08:55 Phonatacid New Issue
2011-01-29 08:59 Phonatacid Issue Monitored: Phonatacid
2011-01-29 08:59 Phonatacid Issue End Monitor: Phonatacid
2011-01-29 09:00 Phonatacid Note Added: 0000980
2011-01-29 18:21 jmcgrew Status new => acknowledged
2011-02-01 15:56 EmacsUser Note Added: 0000984
2011-02-01 15:56 EmacsUser Status acknowledged => confirmed
2011-02-08 14:53 EmacsUser Relationship added related to 0000539
2014-03-16 04:40 graham Note Added: 0002565
2014-03-16 04:40 graham Status confirmed => resolved
2014-03-16 04:40 graham Resolution open => fixed
2014-03-16 04:40 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker